function init(hero) {
    hero.setName("Nightcrawler");
    hero.setTier(3);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.leggings");
    hero.setBoots("item.superhero_armor.piece.boots");
    
	hero.addAbilities("fiskheroes:umbrakinesis", "fiskheroes:leaping", "fiskheroes:flight");
    hero.addAttribute("FALL_RESISTANCE", 10.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 4.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.3, 1);
	hero.addAttribute("ATTACK_DAMAGE", 0.1, 1);


    
    hero.addKeyBind("SHADOWFORM", "key.shadowForm", 1);
    
    hero.setDefaultScale(1.0);
    hero.setHasProperty(hasProperty);
    hero.setModifierEnabled(isModifierEnabled);
}

function isModifierEnabled(entity, modifier) {
    return entity.getData("fiskheroes:shadowform") || modifier != "fiskheroes:flight";
}